Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.hyphenation
Class SimplePatternParser

    java.lang.Object
      com.lowagie.text.pdf.hyphenation.SimplePatternParser

All Implemented Interfaces:
  PatternConsumer, SimpleXMLDocHandler

    public class SimplePatternParser

extends Object
implements SimpleXMLDocHandler, PatternConsumer

Parses the xml hyphenation pattern.

Author:
  Paulo Soares (psoares@consiste.pt)

Field Summary
`(package private) PatternConsumer` | `consumer`
`(package private) int` | `currElement`
`(package private) static int` | `ELEM_CLASSES`
`(package private) static int` | `ELEM_EXCEPTIONS`
`(package private) static int` | `ELEM_HYPHEN`
`(package private) static int` | `ELEM_PATTERNS`
`(package private) ArrayList` | `exception`
`(package private) char` | `hyphenChar`
`(package private) SimpleXMLParser` | `parser`
`(package private) StringBuffer` | `token`

Constructor Summary
`SimplePatternParser()` Creates a new instance of PatternParser2

Method Summary
`void` | `addClass(String c)` Add a character class.
`void` | `addException(String w, ArrayList e)` Add a hyphenation exception.
`void` | `addPattern(String p, String v)` Add hyphenation patterns.
`void` | `endDocument()` Called after the document is parsed.
`void` | `endElement(String tag)` Called when an end tag is found.
`protected String` | `getExceptionWord(ArrayList ex)`
`protected static String` | `getInterletterValues(String pat)`
`protected static String` | `getPattern(String word)`
`static void` | `main(String[] args)`
`protected ArrayList` | `normalizeException(ArrayList ex)`
`void` | `parse(InputStream stream, PatternConsumer consumer)`
`void` | `startDocument()` Called when the document starts to be parsed.
`void` | `startElement(String tag, HashMap h)` Called when a start tag is found.
`void` | `text(String str)` Called when a text element is found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currElement

    int currElement

### consumer

    PatternConsumer consumer

### token

    StringBuffer token

### exception

    ArrayList exception

### hyphenChar

    char hyphenChar

### parser

    SimpleXMLParser parser

### ELEM_CLASSES

    static final int ELEM_CLASSES

See Also:
  Constant Field Values

### ELEM_EXCEPTIONS

    static final int ELEM_EXCEPTIONS

See Also:
  Constant Field Values

### ELEM_PATTERNS

    static final int ELEM_PATTERNS

See Also:
  Constant Field Values

### ELEM_HYPHEN

    static final int ELEM_HYPHEN

See Also:
  Constant Field Values

Constructor Detail

### SimplePatternParser

    public SimplePatternParser()

  Creates a new instance of PatternParser2

Method Detail

### parse

    public void parse(InputStream stream,
                      PatternConsumer consumer)

### getPattern

    protected static String getPattern(String word)

### normalizeException

    protected ArrayList normalizeException(ArrayList ex)

### getExceptionWord

    protected String getExceptionWord(ArrayList ex)

### getInterletterValues

    protected static String getInterletterValues(String pat)

### endDocument

    public void endDocument()

  Description copied from interface: `SimpleXMLDocHandler`
  Called after the document is parsed.

  Specified by:
    `endDocument` in interface `SimpleXMLDocHandler`

### endElement

    public void endElement(String tag)

  Description copied from interface: `SimpleXMLDocHandler`
  Called when an end tag is found.

  Specified by:
    `endElement` in interface `SimpleXMLDocHandler`
  Parameters:
    `tag` - the tag name

### startDocument

    public void startDocument()

  Description copied from interface: `SimpleXMLDocHandler`
  Called when the document starts to be parsed.

  Specified by:
    `startDocument` in interface `SimpleXMLDocHandler`

### startElement

    public void startElement(String tag,
                             HashMap h)

  Description copied from interface: `SimpleXMLDocHandler`
  Called when a start tag is found.

  Specified by:
    `startElement` in interface `SimpleXMLDocHandler`
  Parameters:
    `tag` - the tag name
    `h` - the tag's attributes

### text

    public void text(String str)

  Description copied from interface: `SimpleXMLDocHandler`
  Called when a text element is found.

  Specified by:
    `text` in interface `SimpleXMLDocHandler`
  Parameters:
    `str` - the text element, probably a fragment.

### addClass

    public void addClass(String c)

  Description copied from interface: `PatternConsumer`
  Add a character class. A character class defines characters that are considered equivalent for the purpose of hyphenation (e.g. "aA"). It usually means to ignore case.

  Specified by:
    `addClass` in interface `PatternConsumer`
  Parameters:
    `c` - character group

### addException

    public void addException(String w,
                             ArrayList e)

  Description copied from interface: `PatternConsumer`
  Add a hyphenation exception. An exception replaces the result obtained by the algorithm for cases for which this fails or the user wants to provide his own hyphenation. A hyphenatedword is a vector of alternating String's and `Hyphen` instances

  Specified by:
    `addException` in interface `PatternConsumer`

### addPattern

    public void addPattern(String p,
                           String v)

  Description copied from interface: `PatternConsumer`
  Add hyphenation patterns.

  Specified by:
    `addPattern` in interface `PatternConsumer`
  Parameters:
    `p` - the pattern
    `v` - interletter values expressed as a string of digit characters.

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD